Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(117)

Issue 148423005: Use FF_THREAD_SLICE threading mode in FFmpeg for MediaSource streams. (Closed)

Created:
5 years, 10 months ago by Sergey Ulanov
Modified:
5 years, 8 months ago
CC:
chromium-reviews, fischman+watch_chromium.org, jam, mcasas+watch_chromium.org, joi+watch-content_chromium.org, feature-media-reviews_chromium.org, darin-cc_chromium.org, wjia+watch_chromium.org
Visibility:
Public.

Description

Use FF_THREAD_SLICE threading mode in FFmpeg for MediaSource streams. FFmpeg may delay frames in FF_THREAD_FRAME mode, which affects MediaSource streams. Use FF_THREAD_SLICE mode in that case. This may slow down video decoding for streams that were encoded without slicing, as in that case decoding will be happening on a single thread. BUG=338529

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+32 lines, -5 lines) Patch
M content/renderer/media/webmediaplayer_impl.cc View 1 chunk +8 lines, -1 line 1 comment Download
M media/filters/ffmpeg_video_decoder.h View 2 chunks +17 lines, -2 lines 1 comment Download
M media/filters/ffmpeg_video_decoder.cc View 2 chunks +5 lines, -1 line 1 comment Download
M media/filters/ffmpeg_video_decoder_unittest.cc View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
Sergey Ulanov
I haven't added unittests yet. First I'd like to know what you think about this ...
5 years, 10 months ago (2014-01-28 01:42:11 UTC) #1
Ami GONE FROM CHROMIUM
In principle I don't prefer _FRAME to _SLICE, and I suspect that if _SLICE is ...
5 years, 10 months ago (2014-01-28 07:17:09 UTC) #2
scherkus (not reviewing)
On 2014/01/28 07:17:09, Ami Fischman wrote: > In principle I don't prefer _FRAME to _SLICE, ...
5 years, 10 months ago (2014-01-28 18:46:45 UTC) #3
Sergey Ulanov
On 2014/01/28 18:46:45, scherkus wrote: > On 2014/01/28 07:17:09, Ami Fischman wrote: > > In ...
5 years, 10 months ago (2014-01-28 23:40:07 UTC) #4
Ami GONE FROM CHROMIUM
On Tue, Jan 28, 2014 at 3:40 PM, <sergeyu@chromium.org> wrote: > [...] I'll try running ...
5 years, 10 months ago (2014-01-29 00:43:12 UTC) #5
scherkus (not reviewing)
On 2014/01/29 00:43:12, Ami Fischman wrote: > On Tue, Jan 28, 2014 at 3:40 PM, ...
5 years, 10 months ago (2014-01-29 01:12:59 UTC) #6
Sergey Ulanov
I've experimented it bit more - it looks like this change does affect negatively performance ...
5 years, 8 months ago (2014-04-04 19:03:25 UTC) #7
scherkus (not reviewing)
5 years, 8 months ago (2014-04-04 20:14:40 UTC) #8
Message was sent while issue was closed.
On 2014/04/04 19:03:25, Sergey Ulanov wrote:
> I've experimented it bit more - it looks like this change does affect
negatively
> performance on some videos, particularly when one core can't keep up decoding.
> I'm closing this CL for now.

Thanks for investigating! Looking forward to chatting this afternoon to explore
some more options in detail.

Powered by Google App Engine
This is Rietveld 408576698